Update skill
curl --request PUT \
--url https://api.elemente.ai/api/v1/skills/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"definition": "<string>",
"initialMessage": "<string>"
}
'import requests
url = "https://api.elemente.ai/api/v1/skills/{id}"
payload = {
"id": "<string>",
"name": "<string>",
"definition": "<string>",
"initialMessage": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
definition: '<string>',
initialMessage: '<string>'
})
};
fetch('https://api.elemente.ai/api/v1/skills/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "24f639fc-d319-45f3-8f57-106b88087c80",
"name": "Inbound Call",
"definition": "Inform the user about his recent refund, stating that we are currently in the process of facilitating the refund",
"isInbound": "true",
"initialMessage": "Hi, thank you for reaching out to Happy Customer. This is {{aiName}}. How may I help you today"
}Skills
Update skill
PUT
/
api
/
v1
/
skills
/
{id}
Update skill
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the skill
Body
application/json
Input data for updating the skill
Response
The updated skill
The id of the skill
Example:
"24f639fc-d319-45f3-8f57-106b88087c80"
The name of the skill
Example:
"Inbound Call"
The skill Instruction
Example:
"Inform the user about his recent refund, stating that we are currently in the process of facilitating the refund"
inbound
Example:
"true"
initialMessage
Example:
"Hi, thank you for reaching out to Happy Customer. This is {{aiName}}. How may I help you today"
⌘I
